## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class BindingType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  DirectBindingType, ExpressionBindingType

    public abstract class BindingType

extends AbstractRootTypeDescriptor

Abstract meta-data processing type representing a binding

Provisional API - subject to change

Constructor Summary
`BindingType()`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingType

    public BindingType()